Subject: Re: [PATCH v3] net: dsa: mv88e6xxx: support RGMII cmode

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Aug 2022 16:42:06 -0700

On Fri, 26 Aug 2022 01:26:59 +0200 Marek Behún wrote:
> > Could you explain why? Is there an upstream-supported platform
> > already in Linus's tree which doesn't boot or something?  
> 
> If you mean whether there is a device-tree of such a device, they I
> don't think so, because AFAIK there isn't a device-tree with 6393 in
> upstream Linux other than CN9130-CRB.
> 
> But it is possible though that there is such a device which has
> everything but the switch supported on older kernels, due to this RGMII
> bug.
> 
> I think RGMII should have been supported on this switch when I send the
> patch adding support for it, and it is a bug that it is not, becuase
> RGMII is supported for similar switches driven by mv88e6xxx driver
> (6390, for example). I don't know why I overlooked it then.
> 
> Note that I wouldn't consider adding support for USXGMII a fix, because
> although the switch can do it, it was never done with this driver.
> 
> But if you think it doesn't apply anyway, remove the Fixes tag. This is
> just my opinion that it should stay.

I see, I can only go by our general guidance of not treating omissions 
as fixes, but I lack the knowledge to be certain what's right here.
Anyone willing to cast a tie-break vote? Andrew? net or net-next?